# boost::numeric::ublas::index_manipulator< TV > Class Template Reference

A CRTP and Barton-Nackman trick index manipulator wrapper class. More...

List of all members.

## Public Types

typedef TV | type

## Public Member Functions

BOOST_UBLAS_INLINE const type & | operator() () const
BOOST_UBLAS_INLINE type & | operator() ()

## Detailed Description

### template<class TV>
class boost::numeric::ublas::index_manipulator< TV >

This class is not meant to be used directly.